Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 504254 - =perl-core/ExtUtils-Install-1.540.0 fails test in t/InstallWithMM.t
Summary: =perl-core/ExtUtils-Install-1.540.0 fails test in t/InstallWithMM.t
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Perl team
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on: 438660
Blocks:
  Show dependency tree
 
Reported: 2014-03-11 21:45 UTC by eroen
Modified: 2015-04-02 21:50 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,4.91 KB, text/plain)
2014-03-11 21:45 UTC, eroen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description eroen 2014-03-11 21:45:50 UTC
Created attachment 372420 [details]
build.log

This is observed with dev-lang/perl-5.18.2

t/InstallWithMM.t .. 3/15
#   Failed test in t/InstallWithMM.t at line 77.
#                   'make[1]: Entering directory '/var/tmp/portage/perl-core/ExtUtils-Install-1.540.0/work/ExtUtils-Install-1.54/t/Big-Dummy'
# make[2]: Entering directory '/var/tmp/portage/perl-core/ExtUtils-Install-1.540.0/work/ExtUtils-Install-1.54/t/Big-Dummy/Liar'
# make[2]: Leaving directory '/var/tmp/portage/perl-core/ExtUtils-Install-1.540.0/work/ExtUtils-Install-1.54/t/Big-Dummy/Liar'
# Installing ../dummy-install/lib64/perl5/5.18.2/Big/Liar.pm
# Installing ../dummy-install/lib64/perl5/5.18.2/Big/Dummy.pm
# Installing ../dummy-install/man/man1/program.1
# Installing ../dummy-install/man/man3/Big::Dummy.3pm
# Installing ../dummy-install/bin/program
# make[1]: Leaving directory '/var/tmp/portage/perl-core/ExtUtils-Install-1.540.0/work/ExtUtils-Install-1.54/t/Big-Dummy'
# '
#     doesn't match '(?^m:^Writing )'

#   Failed test '  packlist created'
#   in t/InstallWithMM.t at line 93.

#   Failed test '  perllocal.pod created'
#   in t/InstallWithMM.t at line 94.
# Looks like you failed 3 tests of 15.
t/InstallWithMM.t .. Dubious, test returned 3 (wstat 768, 0x300)
Failed 3/15 subtests
t/Packlist.t ....... ok
t/pod-coverage.t ... skipped: Skipping author tests. Set AUTHOR_TESTING=1 to run them.
t/pod.t ............ ok

Test Summary Report
-------------------
t/InstallWithMM.t (Wstat: 768 Tests: 15 Failed: 3)
  Failed tests:  7, 12-13
  Non-zero exit status: 3
Files=8, Tests=253,  3 wallclock secs ( 0.06 usr  0.02 sys +  1.75 cusr  0.38 csys =  2.21 CPU)
Result: FAIL
Failed 1/8 test programs. 3/253 subtests failed.
Makefile:829: recipe for target 'test_dynamic' failed
make: *** [test_dynamic] Error 255
 * ERROR: perl-core/ExtUtils-Install-1.540.0::gentoo failed (test phase):
 *   emake failed
Comment 1 eroen 2014-03-11 21:47:03 UTC
eroen@falcon ~ $ emerge --info '=perl-core/ExtUtils-Install-1.540.0::gentoo' '=dev-lang/perl-5.18.2::gentoo'
Portage 2.2.8-r1 (default/linux/amd64/13.0, gcc-4.8.2, glibc-2.18-r1, 3.12.5e0-falcon0+ x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.12.5e0-falcon0+-x86_64-Intel-R-_Core-TM-2_Quad_CPU_@_2.40GHz-with-gentoo-2.2
KiB Mem:     4037884 total,    684472 free
KiB Swap:    8388604 total,   6746348 free
Timestamp of tree: Tue, 11 Mar 2014 15:15:01 +0000
ld GNU ld (GNU Binutils) 2.24
distcc 3.1 x86_64-pc-linux-gnu [disabled]
ccache version 3.1.9 [disabled]
app-shells/bash:          4.2_p45-r1
dev-java/java-config:     2.2.0
dev-lang/python:          2.7.6, 3.2.5-r3, 3.3.4, 3.4.0_rc1
dev-util/ccache:          3.1.9-r3
dev-util/cmake:           2.8.12.2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.11.6, 1.12.6, 1.13.4, 1.14.1
sys-devel/binutils:       2.24-r2
sys-devel/gcc:            4.5.4, 4.6.4, 4.7.3-r1, 4.8.2
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           4.0-r1
sys-kernel/linux-headers: 3.13 (virtual/os-headers)
sys-libs/glibc:           2.18-r1
Repositories: gentoo gamerlay eroen
ACCEPT_KEYWORDS="amd64 ~amd64 ~x86"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=core2 -O2 -pipe"
DISTDIR="/var/distfiles"
EMERGE_DEFAULT_OPTS="--jobs 3 --nospinner --quiet-build --verbose-conflicts --with-bdeps=y --binpkg-respect-use y"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict test unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS=""
LANG="en_GB.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/var/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/gamerlay /var/lib/layman/eroen"
SYNC="rsync://rsync.no.gentoo.org/gentoo-portage/"
USE="X a52 aac aacs accessibility acl adns alsa amd64 ao berkdb bluray bs2b bzip2 cairo calendar canberra caps cdda cdio cdparanoia cdr cli corefonts cracklib crypt css cue cups curl cxx dbus dia dirac djvu dmapi dri dts dvd dvdnav dvi ebook eigen exif faac fam fbcondecor ffmpeg fftw fits flac fontconfig fortran fuse g3dvl gcrypt gd gdbm gif gimp git gmp gnutls gold gstreamer hdri highlight iconv icu id3tag idn imagemagick inotify iptc ipv6 jpeg jpeg2k kde kvm lcms lensfun libnotify loop-aes lqr lzma lzo mad man matroska midi mikmod mkv mms mmx mmxext mng mod modplug modules mp3 mp4 mpeg mpeg2 mpeg4 mpeg4pt2 mplayer mtp multilib musepack ncurses netlink nfs nls nouveau nptl ocr offensive ogg openal opencl openexr opengl opengtl openmp openvg optimization osmesa pam pango pcre pdf png pnm portaudio postscript qalculate qemu qt3support qt4 rar raw rdesktop readline real rtmp samba scanner schroedinger security session smp sndfile socks5 speex spice sse sse2 sse3 ssl ssse3 strong-optimization svg tbb tcpd theora threads tiff timidity tls truetype udev uml unicode usb usbredir v4l v4l2 vdpau virtualbox vnc vorbis wacom wavpack webp wmf x264 xattr xcb xcomposite xetex xfs xft xine xinerama xorg xps xrandr xv xvid xvmc zlib" ABI_X86="32
64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CURL_SSL="openssl" DRACUT_MODULES="biosdevname caps crypt crypt-gpg dash dmraid lvm mdraid syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64 pc qemu" INPUT_DEVICES="evdev keyboard mouse synaptics wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="nlpsolver presenter-console presenter-minimizer" LINGUAS="en en_US en_GB nb no nb_NO" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2 python3_3 python3_4" RUBY_TARGETS="ruby20" SANE_BACKENDS="net plustek pnm" USERLAND="GNU" VIDEO_CARDS="nouveau nvidia vesa" XFCE_PLUGINS="menu" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USE_PYTHON="2.7 3.2 3.3"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

perl-core/ExtUtils-Install-1.540.0 was built with the following:
USE="(multilib)" ABI_X86="64"


dev-lang/perl-5.18.2 was built with the following:
USE="-berkdb -debug -doc -gdbm -ithreads"

eroen@falcon ~ $ emerge -pqv '=perl-core/ExtUtils-Install-1.540.0::gentoo' '=dev-lang/perl-5.18.2::gentoo'
[ebuild   R   ] dev-lang/perl-5.18.2  USE="-berkdb -debug -doc -gdbm -ithreads"
[ebuild   R   ] perl-core/ExtUtils-Install-1.540.0
Comment 2 Vladimir Smirnov (RETIRED) gentoo-dev 2014-03-12 03:55:58 UTC
It seems that this is related to Bug #438660
Until it's fixed, it seems that the only way to pass test is to remove those 3 tests that fails (one test is grepping "make install" output for "Writing packlist file", second for packlist, third one for perllocal.pod.

Though, I'll try to look more careful at this bug, but when I'll get to a machine with stable perl, there is small chance that it's perl 5.18 related bug, and perl 5.18 is masked right now.
Comment 3 Andreas K. Hüttel gentoo-dev 2015-04-02 21:50:00 UTC
Fixed in newer versions.